#include <bits/stdc++.h>
#define pb push_back
#define ll long long

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
     ll t;cin>>t;while(t--){
    ll n,br=0;cin>>n;vector<ll>vec(n),vec1(n),vec2(n),vec3;map<ll,ll>maps,maps1;
    for(ll i=0;i<n;i++){
        cin>>vec[i];
    }
    for(ll i=0;i<n;i++){
        cin>>vec1[i];
    }
    for(ll i=0;i<n;i++){
        for(ll j=0;j<n;j++){
             if(abs(vec[i])==abs(vec1[j])&& vec[i]!=0 && abs(i-j)%2==0 || vec[i]==-vec[j] && abs(i-j)%2==1)br++;
        }
    }
    if(br>0)cout<<"DA\n";
    else cout<<"NE\n";
    }

    return 0;
}